
%global meadversion 1.6.2
%global namedversion 1.6.2.redhat-6
%global meadalpha .redhat_6
%global meadrel .1
%global serial 14

%bcond_without mead

%define maven_version 1.6.2.redhat-6

Name:           wsdl4j-eap6
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        WSDL4J
License:        CPL
Group:          Development/Java

%if %with mead
Source100: wsdl4j-1.6.2.redhat-6-scm-sources.zip
Source102: wsdl4j-1.6.2.redhat-6-sources.jar
Source103: wsdl4j-1.6.2.redhat-6-javadoc.jar
Source104: wsdl4j-1.6.2.redhat-6.pom
Source105: wsdl4j-1.6.2.redhat-6.jar
%endif

URL:            http://sf.net/projects/wsdl4j
Requires(post): %{_sbindir}/update-alternatives
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/wsdl4j-eap6-%{namedversion}-%{release}-root

%description
Java stub generator for WSDL.

%prep
%setup -q -n wsdl4j -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/wsdl4j-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/wsdl4j-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/wsdl4j-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/wsdl4j-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%post
if [ $1 -gt 1 ]; then
    [ -x %{_sbindir}/update-alternatives ] && %{_sbindir}/update-alternatives --remove qname %{_javadir}/%{name}/wsdl-qname.jar || :
fi

%files -n wsdl4j-eap6
%defattr(0644,root,root,0755)
%doc license.html readme.txt
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/wsdl4j-%{namedversion}.jar
%{_javadir}/%{name}/wsdl4j.jar
%{_javadir}/%{name}/wsdl4j-%{namedversion}-sources.jar
%{_javadir}/%{name}/wsdl4j-sources.jar

%changelog
* Mon Oct 28 2013 David Walluck <dwalluck@redhat.com> 0:1.6.2-14
- conditionally remove unused alternative

* Sat Oct 19 2013 David Walluck <dwalluck@redhat.com> 0:1.6.2-13
- convert to MEAD

* Wed Oct 15 2013 Yong Yang <yyang@redhat.com> - 0:1.6.2-12.4.redhat_5
- Fix source issue

* Tue Apr 23 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.6.2-12.3.redhat_4
- BZ-901103

* Fri Mar 29 2013 Lin Gao <lgao@redhat.com> - 0:1.6.2-12.2.redhat_3
- Rebuild to use suffix -redhat-3

* Fri Mar 29 2013 Lin Gao <lgao@redhat.com> - 0:1.6.2-12.1.redhat_2
- Update pom for eap 6.1.0
- Fix invalid Implementation-Version in MANIFEST.MF (BZ:928062)

* Mon Jan 21 2013 Fernando Nasser <fnasser@redhat.com> - 0:1.6.2-11.2.redhat_2
- Only generate repolib on RHEL-6

* Fri Jan 18 2013 Fernando Nasser <fnasser@redhat.com> - 0:1.6.2-11.1.redhat_2
- BR apache-commons-parent for RHEL-7 builds to work

* Wed Sep 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.2-11.redhat_2
- Fix removal of alternatives in postun script

* Tue Sep 04 2012 Paul Gier <pgier@redhat.com> - 0:1.6.2-10.5
- Update pom for eap 6.0.1

* Sat Sep 01 2012 Paul Gier <pgier@redhat.com> - 0:1.6.2-10.4
- Update pom patch for eap 6.0.1

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.2-10.3
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.2-10.1
- Rebuild using cache signing

* Thu Apr 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.2-10
- Fix alternatives configuration for the main package

* Thu Apr 05 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.6.2-9.2
- Rebuild with a -eap6 suffix to avoid conflict with RHEL-6 base

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.2-9.1.1
- Rebuild using cache signing

* Wed Feb 29 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.6.2-9.1
- Build with full version 1.6.2-redhat-1

* Mon Jan 17 2011 Hui Wang <huwang@redhat.com> - 0:1.6.2-9
- Rebuild
- Fix name of installing pom
- Using deploy command instead if upload.sh

* Mon Nov 15 2010 Hui Wang <huwang@redhat.com> - 0:1.6.2-8
- Add upload.sh and content of maven2-brew to repolib
- Fix %%files for signed jars

* Mon Jun 07 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.6.2-7.1
- Fix Release tag

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.6.2-6.2.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> 0:1.6.2-6.2
- Rebuild

* Mon Dec 07 2009 David Walluck <dwalluck@redhat.com> 0:1.6.2-6.1
- fix repolib and gcj_support options

* Fri Feb 06 2009 Ralph Apel <r.apel at r-apel.de> 0:1.6.2-6.jpp5
- Fix qname*.jar alternatives

* Mon Dec 08 2008 Will Tatam <will.tatam@red61.com> 1.6.2-5
- Auto rebuild for JPackage 5 in mock

* Wed Nov 19 2008 David Walluck <dwalluck@redhat.com> 0:1.6.2-4
- fix file list
- fix repolib
- fix component-info.xml
- fix GCJ support

* Thu May 29 2008 David Walluck <dwalluck@redhat.com> 0:1.6.2-3.jpp5
- add repolib option
- enable debug
- remove spurious gnu-crypto dependency
- remove javadoc scriptlets
- use %%{_sbindir} macro
- fix License
- fix macro in %%changelog
- encode spec as utf8
- remove Vendor and Distribution tags
- remove Requires: java

* Thu May 31 2007 Ralph Apel <r.apel at r-apel.de> 0:1.6.2-2jpp
- Rename and create alternative for qname.jar

* Mon May 28 2007 Ralph Apel <r.apel at r-apel.de> 0:1.6.2-1jpp
- update to 1.6.2
- Make Vendor, Distribution based on macro
- Fix aot build
- Install pom, depmap frag

* Thu Aug 10 2006 Deepak Bhole <dbhole@redhat.com> 1.5.2-4jpp
- Added missing requirements.

* Wed Jul 19 2006 Deepak Bhole <dbhole@redhat.com> 0:1.5.2-3jpp
- Remove name/release/version defines as applicable.

* Tue Jul 18 2006 Deepak Bhole <dbhole@redhat.com> 0:1.5.2-2jpp
- Merge changes from fc.
- Add conditional native compilation.

* Mon Jan 30 2006 Ralph Apel <r.apel at r-apel.de> 0:1.5.2-1jpp
- update to 1.5.2
- move qname*.jar to %%{_javadir}/wsdl4j/qname*.jar
  to make place for qname provided by geronimo-specs

* Thu Jun 02 2005 Fernando Nasser <fnasser@redhat.com> 0:1.5.1-1jpp
- update to 1.5.1

* Fri Mar 11 2005 Ralph Apel <r.apel at r-apel.de> 0:1.5-1jpp
- update to 1.5

* Mon Aug 30 2004 Ralph Apel <r.apel at r-apel.de> 0:1.4-3jpp
- Build with ant-1.6.2

* Thu Jun 26 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 0:1.4-2jpp
- Do not drop qname.jar

* Tue May 06 2003 David Walluck <david@anti-microsoft.org> 0:1.4-1jpp
- 1.4
- update for JPackage 1.5

* Sat Sep  7 2002 Ville Skyttä <ville.skytta at iki.fi> 1.1-1jpp
- First JPackage release.
